Bug 173822 - memory handling errors
memory handling errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gok (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 11:35 EST by Bill Nottingham
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 13:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-11-21 11:35:40 EST
Noted by Arjan - it's caught by the build time checks in dist-fc5.

On Fri, Nov 18, 2005 at 11:11:49PM -0500, Compile Server wrote:
> Results of the security check for gok
> .
> see http://intranet.corp.redhat.com/ic/intranet/SecurityBuildWarning.html for
more information
> .
> Buffer overflow checks:
> .
> .
> Other dangerous warnings:
>
/mnt/redhat/beehive/logs/gok-644934-i386-ls20-bc1-13.build.redhat.com.log:arraylist.c:121:
warning: ignoring return value of 'realloc', declared with attribute
warn_unused_result

              if (new_capacity > new_size)
                {
                  realloc(list->_data, object_size * new_capacity);
                  list->_current_capacity = new_capacity;
                }


obvious bug ;)

>
/mnt/redhat/beehive/logs/gok-644934-i386-ls20-bc1-13.build.redhat.com.log:arraylist.c:168:
warning: ignoring return value of 'realloc', declared with attribute
warn_unused_result

void arraylist_clear(const Arraylist list)
{
  realloc(list->_data, object_size * ARRAYLIST_INITIAL_CAPACITY);
  list->_current_capacity = ARRAYLIST_INITIAL_CAPACITY;
  list->_size = 0;
}



same obvious bug....
Comment 1 Matthias Clasen 2005-11-21 13:43:37 EST
Fixed in gok-1.0.5-5, filed upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=322062

Note You need to log in before you can comment on or make changes to this bug.